<script>
    import Menu from "./Menu.svelte";
	import MenuItem from "./Menuitem.svelte";
	import ProgramsOffered_Icon from "../img/ProgramsOffered_Icon (1).png";
	import InquireNow_Icon1 from "../img/InquireNow_Icon1 (1).png";
	import InquireNow_Icon2 from "../img/InquireNow_Icon2 (1).png";
	import ApplyNow_Icon from "../img/ApplyNow_Icon.png";
</script>

<div class="nav-container">
    <nav>
        <ul class="grid-container-menu">
            <li class="w-16">
                <a href="https://www.celp.edu.ph/about-centro-escolar-las-pinas"><img src={ProgramsOffered_Icon} class="img-menu-bar" alt="ProgramsOffered_Icon"/>PROGRAMS OFFERED</a>
            </li>
            <li class="w-12">
                <Menu>
                    <span slot='toggle'><img src={InquireNow_Icon1} class="img-menu-bar" alt="InquireNow_Icon1"/>INQUIRE NOW</span>
                        <MenuItem>
                            <a href="tel:0288017211">(02) 8801-7211</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:0288017212">(02) 8801-7212</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:0288017213">(02) 8801-7213</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:0288017214">(02) 8801-7214</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:0288017215">(02) 8801-7215</a>
                        </MenuItem>
                </Menu>
            </li>
            <li class="w-12">
                <Menu>
                    <span slot='toggle'><img src={InquireNow_Icon2} class="img-menu-bar" alt="InquireNow_Icon2"/>INQUIRE NOW</span>
                    <MenuItem>
                        <a href="mailto:celpadmission@celp.edu.ph">celpadmission@celp.edu.ph</a>
                    </MenuItem>
                </Menu>
            </li>
            <li class="w-16">
                <a href="https://www.celp.edu.ph/admissions"><img src={ApplyNow_Icon} class="img-menu-bar" alt="ApplyNow_Icon"/>APPLY NOW</a>
            </li>
        </ul>
    </nav>
</div>

<style>

ul,
	li {
  		margin: 0;
		padding: 0;
	}

    ul {
		list-style-type: none;
		padding-top: 10px;
		padding-left: 200px;
		padding-bottom: 200px;
	}

.img-menu-bar{
	width: 50px;
	margin-left: auto;
	margin-right: auto;
}

.grid-container-menu{
  display: grid;
  grid-template-columns: auto auto auto auto;
  grid-gap: 60px;
  background-color: none;
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
  font-weight: 450;
  font-size: smaller;
  color:white;
  width: 75%;
}
@media screen and (max-width: 320px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 30px;
		background-color: none;
		padding: 10px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width: 100%;
	}	

    .img-menu-bar{
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 350px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 30px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width: 89%;
	}	

    .img-menu-bar{
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 750px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 120px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width:74%;
	}
    .img-menu-bar{
        width: 50px;
        margin-left: auto;
        margin-right: auto;
    }
}

</style>